Functions

# Helpers.c File Reference

`#include "coin_common.h"`
Include dependency graph for Helpers.c:

Go to the source code of this file.

## Functions
int | nrow (SEXP x)
int | ncol (SEXP x)
void | C_SampleNoReplace (int *x, int m, int k, int *ans)
SEXP | R_blocksetup (SEXP block)
void | C_blockperm (SEXP blocksetup, int *ans)
SEXP | R_blockperm (SEXP block)
SEXP | R_MonteCarloIndependenceTest (SEXP x, SEXP y, SEXP block, SEXP B)
SEXP | R_maxstattrafo (SEXP x, SEXP cutpoints)

## Detailed Description

Some additional functionality for package `coin'

Author:

Author:
  hothorn

Date:

Date:
  2007-02-15 09:25:46 +0100 (Thu, 15 Feb 2007)

Definition in file Helpers.c.

## Function Documentation

void C_blockperm | ( | SEXP | blocksetup,
|  | int * | ans |
| ) |  |  |

Block permutation

Parameters:

  | blocksetup | as computed by `R_blocksetup'
  | ans | integer vector

Definition at line 110 of file Helpers.c.

References C_SampleNoReplace().

Referenced by R_blockperm(), and R_MonteCarloIndependenceTest().

Here is the call graph for this function:

void C_SampleNoReplace | ( | int * | x,
|  | int | m,
|  | int | k,
|  | int * | ans |
| ) |  |  |

compute a permutation of a (random subset of) 0:(m-1)

Parameters:

  | x | an integer vector of length m
  | m | integer
  | k | integer
  | ans | an integer vector of length k

Definition at line 42 of file Helpers.c.

Referenced by C_blockperm().

int ncol | ( | SEXP | x | ) |

Definition at line 22 of file Helpers.c.

Referenced by R_ExpectCovarInfluence(), R_ExpectCovarLinearStatistic(), R_kronecker(), R_LinearStatistic(), R_MonteCarloIndependenceTest(), and R_PermutedLinearStatistic().

int nrow | ( | SEXP | x | ) |

Definition at line 11 of file Helpers.c.

Referenced by R_ExpectCovarInfluence(), R_ExpectCovarLinearStatistic(), R_kronecker(), R_LinearStatistic(), R_MonteCarloIndependenceTest(), and R_PermutedLinearStatistic().

SEXP R_blockperm | ( | SEXP | block | ) |

Definition at line 139 of file Helpers.c.

References C_blockperm(), and R_blocksetup().

Here is the call graph for this function:

SEXP R_blocksetup | ( | SEXP | block | ) |

Definition at line 56 of file Helpers.c.

Referenced by R_blockperm(), and R_MonteCarloIndependenceTest().

SEXP R_maxstattrafo | ( | SEXP | x,
|  | SEXP | cutpoints |
| ) |  |  |

Definition at line 204 of file Helpers.c.

SEXP R_MonteCarloIndependenceTest | ( | SEXP | x,
|  | SEXP | y,
|  | SEXP | block,
|  | SEXP | B |
| ) |  |  |

Definition at line 152 of file Helpers.c.

References C_blockperm(), C_PermutedLinearStatistic(), ncol(), nrow(), and R_blocksetup().

Here is the call graph for this function: